//
//  PDFViewController.h
//  PDFReader
//
//  Copyright © 2014-2022 PDF Technologies, Inc. All Rights Reserved.
//
//  The PDF Reader Sample applications are licensed with a modified BSD license.
//  Please see License for details. This notice may not be removed from this file.
//

#import <ComPDFKit/ComPDFKit.h>
#import "PDFListView.h"

@interface PDFViewController : UIViewController

@property (nonatomic,readonly) NSString *filePath;

@property (nonatomic,readonly) PDFListView *pdfView;

#pragma mark - Initializers

// Initializers, Make sure you enter the local document path in PDF format
- (instancetype)initWithFilePath:(NSString *)filePath;

- (void)loadDocumentWithFilePath:(NSString *)filePath completion:(void (^)(BOOL result))completion;

@end
