//
//  CPDFAddViewController.m
//  PDFViewer
//
//  Created by kdanmobile_2 on 2022/12/7.
//

#import "PDFAddViewController.h"
#import "PDFAddViewControllerHeader.h"
#import "PDFAddView.h"

@interface PDFAddViewController ()

@property (nonatomic,strong) PDFAddView *buttonView;

@end

@implementation PDFAddViewController

#pragma mark - UIViewController Methods

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    [self initNavigation];
    
    // Initialize header view
//    [self initHeadView];
    
    // Initialize model
    [self initModel];
    
    // Add view
//    [self initBttonmView];
    
    // UI event
//    [self initBasicEvent];
    
    self.view.backgroundColor = [UIColor whiteColor];
}

#pragma mark - Initializers

- (void)initNavigation {
    self.navigationItem.title = NSLocalizedString(@"Add Page Number", nil);
    self.navigationController.toolbarHidden = YES;
    self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemDone target:self action:@selector(doneClick:)];
    self.navigationItem.leftBarButtonItem = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemCancel target:self action:@selector(cancelClick:)];
}

- (id)initWithImage:(UIImage *)image {
    self = [super init];
    if (self) {
        _image = image;
    }
    return self;
}

- (void)initModel {
    _modelData = [[PDFHeaderFooterModel alloc] init];
    _modelData.fontSize = 18.0;
    _modelData.fontSelcet = 0;
    _modelData.fontPosition = 0;
    _modelData.pageStart = @"1";
}

#pragma mark - Actions

// Candel button enable
- (void)cancelClick:(UIBarButtonItem *)btn {
    [self.navigationController popViewControllerAnimated:YES];
}

- (void)doneClick:(UIBarButtonItem *)btn {
    
}

#pragma mark - UI Functions

// Get page start for headerfooter's Model
- (void)changePageStart:(UITextField *)text {
    int start = [text.text intValue];
    self.modelData.pageStart = [NSString stringWithFormat:@"%d",start];
    [self showPages];
}

// Get headerfoote's font size for headerfooter's Model
- (void)changeFontSize:(UITextField *)text {
    float size = [text.text floatValue];
    _headView.preLabel.font = [UIFont systemFontOfSize:size / 3];
    _modelData.fontSize = size;
    [self showPages];
}

// Slider select color
- (void)sliderChange:(UISlider *)slider {
    switch ((int)slider.value / 10) {
        case 0:
            self.headView.preLabel.textColor = [UIColor redColor];
            self.modelData.fontColor = [UIColor redColor];
            break;
        case 1:
            self.headView.preLabel.textColor = [UIColor orangeColor];
            self.modelData.fontColor = [UIColor orangeColor];
            break;
        case 2:
            self.headView.preLabel.textColor = [UIColor colorWithRed:239.0 / 255 green:140.0 / 255 blue:133.0 / 255 alpha:1];
            self.modelData.fontColor = [UIColor colorWithRed:239.0 / 255 green:140.0 / 255 blue:133.0 / 255 alpha:1];
            break;
        case 3:
            self.headView.preLabel.textColor = [UIColor yellowColor];
            self.modelData.fontColor = [UIColor yellowColor];;
            break;
        case 4:
            self.headView.preLabel.textColor = [UIColor greenColor];
            self.modelData.fontColor = [UIColor greenColor];
            break;
        case 5:
            self.headView.preLabel.textColor = [UIColor blueColor];
            self.modelData.fontColor = [UIColor blueColor];
            break;
        case 6:
            self.headView.preLabel.textColor = [UIColor purpleColor];
            self.modelData.fontColor = [UIColor purpleColor];
            break;
        case 7:
            self.headView.preLabel.textColor = [UIColor colorWithRed:235.0 / 255 green:61.0 / 255 blue:133.0 / 255 alpha:1];
            self.modelData.fontColor = [UIColor colorWithRed:235.0 / 255 green:61.0 / 255 blue:133.0 / 255 alpha:1];
            break;
        case 8:
            self.headView.preLabel.textColor = [UIColor blackColor];
            self.modelData.fontColor = [UIColor blackColor];
            break;
        case 9:
            self.headView.preLabel.textColor = [UIColor whiteColor];
            self.modelData.fontColor = [UIColor whiteColor];
            break;
        default:
            break;
    }
}

// Select headerfooter
- (void)changeLocation:(UISegmentedControl *)sender {
    if (sender.selectedSegmentIndex == 0) {
        _position.location = PDFHeaderFooterLocationHeader;
    } else {
        _position.location = PDFHeaderFooterLocationFooter;
    }
    [self showPages];
}

// Select aligment
- (void)changeAligbment:(UISegmentedControl *)sender {
    if (sender.selectedSegmentIndex == 0) {
        _position.aligment = PDFHeaderFooerAligmentLeft;
    } else if (sender.selectedSegmentIndex == 1) {
        _position.aligment = PDFHeaderFooerAligmentCenter;
    } else {
        _position.aligment = PDFHeaderFooerAligmentRinght;
    }
    [self showPages];
}

// Show headerfooter and aligment
- (void)showPages {
//    if (_headView.preLabel == nil) {
//        _headView.preLabel = [[UILabel alloc] init];
//    }
//
//    switch (self.position.location) {
//        case PDFHeaderFooterLocationHeader:
//            if (self.position.aligment == PDFHeaderFooerAligmentLeft) {
//                [_headView.preLabel mas_remakeConstraints:^(MASConstraintMaker *make) {
//                    make.top.equalTo(self.headView.documentImageView.mas_top).offset(0.5);
//                    make.left.equalTo(self.headView.documentImageView.mas_left).offset(0.5);
//                    make.height.mas_equalTo(10);
//                    make.width.mas_equalTo(20);
//                }];
//                self.modelData.fontPosition = 0;
//            } else if (self.position.aligment == PDFHeaderFooerAligmentCenter) {
//                [_headView.preLabel mas_remakeConstraints:^(MASConstraintMaker *make) {
//                    make.top.equalTo(self.headView.documentImageView.mas_top).offset(0.5);
//                    make.left.equalTo(self.headView.documentImageView.mas_left).offset(self.image.size.width / 18);
//                    make.height.mas_equalTo(10);
//                    make.width.mas_equalTo(20);
//                }];
//                self.modelData.fontPosition = 1;
//            } else {
//                [_headView.preLabel mas_remakeConstraints:^(MASConstraintMaker *make) {
//                    make.top.equalTo(self.headView.documentImageView.mas_top).offset(0.5);
//                    make.left.equalTo(self.headView.documentImageView.mas_left).offset(self.image.size.width / 9 - 12);
//                    make.height.mas_equalTo(10);
//                    make.width.mas_equalTo(20);
//                }];
//                self.modelData.fontPosition = 2;
//            }
//            break;
//
//        case PDFHeaderFooterLocationFooter:
//            if (self.position.aligment == PDFHeaderFooerAligmentLeft) {
//                [_headView.preLabel mas_remakeConstraints:^(MASConstraintMaker *make) {
//                    make.top.equalTo(self.headView.documentImageView.mas_top).offset(self.image.size.height / 9 - 12);
//                    make.left.equalTo(self.headView.documentImageView.mas_left).offset(0.5);
//                    make.height.mas_equalTo(10);
//                    make.width.mas_equalTo(20);
//                }];
//                self.modelData.fontPosition = 3;
//            } else if (self.position.aligment == PDFHeaderFooerAligmentCenter) {
//                [_headView.preLabel mas_remakeConstraints:^(MASConstraintMaker *make) {
//                    make.top.equalTo(self.headView.documentImageView.mas_top).offset(self.image.size.height / 9 - 12);
//                    make.left.equalTo(self.headView.documentImageView.mas_left).offset(self.image.size.width / 18);
//                    make.height.mas_equalTo(10);
//                    make.width.mas_equalTo(20);
//                }];
//                self.modelData.fontPosition = 4;
//            } else {
//                [_headView.preLabel mas_remakeConstraints:^(MASConstraintMaker *make) {
//                    make.top.equalTo(self.headView.documentImageView.mas_top).offset(self.image.size.height / 9 - 12);
//                    make.left.equalTo(self.headView.documentImageView.mas_left).offset(self.image.size.width / 9 - 12);
//                    make.height.mas_equalTo(10);
//                    make.width.mas_equalTo(20);
//                }];
//                self.modelData.fontPosition = 5;
//            }
//            break;
//        default:
//            break;
//    }
}

@end
