//
//  PDFKTFontSizeView.h
//  PDFReader
//
//  Copyright © 2014-2022 PDF Technologies, Inc. All Rights Reserved.
//
//  The PDF Reader Sample applications are licensed with a modified BSD license.
//  Please see License for details. This notice may not be removed from this file.
//

#import <UIKit/UIKit.h>

@class PDFKTSlideView;
@protocol PDFKTSlideDelegate <NSObject>
@required
- (void)slideView:(PDFKTSlideView *)view updateValue:(CGFloat)slideValue;
- (void)slideDidBegin:(PDFKTSlideView *)slider;
- (void)slideDidEnd:(PDFKTSlideView *)slider;
@end

@interface PDFKTSlideView : UIView

@property (nonatomic, assign) id<PDFKTSlideDelegate> slideDelegate;
@property (nonatomic, assign) CGFloat curValue;
@property (nonatomic, assign) CGFloat minValue;
@property (nonatomic, assign) CGFloat maxValue;
@end

