//
//  PDFSettingFontView.h
//  PDFReader
//
//  Copyright © 2014-2022 PDF Technologies, Inc. All Rights Reserved.
//
//  The PDF Reader Sample applications are licensed with a modified BSD license.
//  Please see License for details. This notice may not be removed from this file.
//

#import <UIKit/UIKit.h>

@protocol PDFKTSizeDelegate;
@interface PDFSettingFontView : UIView<UITableViewDelegate,UITableViewDataSource>

- (id)initWithFrame:(CGRect)frame
           minValue:(NSInteger)minValue
           maxValue:(NSInteger)maxValue;

@property (nonatomic, assign) id<PDFKTSizeDelegate>  fontNamedelegate;
@property (nonatomic, assign) NSInteger curValue;

@end

@protocol PDFKTSizeDelegate <NSObject>
- (void)fontNamesView:(PDFSettingFontView*)fontNamesView didSelectedTextsize:(CGFloat )size;
@end
