//
//  PDFPageEditCell.h
//  PDFReader
//
//  Copyright © 2014-2022 PDF Technologies, Inc. All Rights Reserved.
//
//  The PDF Reader Sample applications are licensed with a modified BSD license.
//  Please see License for details. This notice may not be removed from this file.
//

#import <UIKit/UIKit.h>

@interface PDFEditPage : NSObject

@property (nonatomic,assign) CGPDFPageRef pageRef;

@property (nonatomic,assign) NSInteger rotation;

@property (nonatomic,copy) NSString *imagePath;

@property (nonatomic,assign) CGSize size;

- (id)initWithPageRef:(CGPDFPageRef)pageRef;

- (CGSize)sizeThatFits:(CGSize)size;

@end



@interface PDFPageEditCell : UICollectionViewCell

@property (nonatomic,retain) PDFEditPage *page;

@property (nonatomic,retain) UILabel *textLabel;

@end
