//
//  PDFFindTextView.m
//  PDFReader
//
//  Copyright © 2014-2022 PDF Technologies, Inc. All Rights Reserved.
//
//  The PDF Reader Sample applications are licensed with a modified BSD license.
//  Please see License for details. This notice may not be removed from this file.
//

#import "PDFFindTextView.h"

@implementation PDFFindTextView

#pragma mark - Init Methods

- (instancetype)initWithCoder:(NSCoder *)aDecoder {
    if (self = [super initWithCoder:aDecoder]) {
        self.autoresizingMask = UIViewAutoresizingFlexibleTopMargin|UIViewAutoresizingFlexibleLeftMargin|UIViewAutoresizingFlexibleRightMargin;
        self.layer.cornerRadius = 5.0;
        self.layer.borderWidth = 1.0;
        self.layer.borderColor = [UIColor colorWithRed:31.0/255.0 green:128.0/255.0 blue:228.0/255.0 alpha:1.0].CGColor;
    }
    return self;
}

- (void)dealloc {
    Block_release(_callback);
    [super dealloc];
}

#pragma mark - Button Actions

- (IBAction)buttonItemClicked_Previous:(id)sender {
    if (self.callback) {
        self.callback(0);
    }
}

- (IBAction)buttonItemClicked_Next:(id)sender {
    if (self.callback) {
        self.callback(1);
    }
}

- (IBAction)buttonItemClicked_Done:(id)sender {
    if (self.callback) {
        self.callback(2);
    }
}

@end
