//
//  PDFStampViewController.h
//  PDFReader
//
//  Copyright © 2014-2022 PDF Technologies, Inc. All Rights Reserved.
//
//  The PDF Reader Sample applications are licensed with a modified BSD license.
//  Please see License for details. This notice may not be removed from this file.
//

#import <UIKit/UIKit.h>

typedef NSString* const PDFAnnotationStampKey NS_STRING_ENUM;

extern PDFAnnotationStampKey PDFAnnotationStampKeyType;        // NSIntger
extern PDFAnnotationStampKey PDFAnnotationStampKeyImagePath;   // NSString
extern PDFAnnotationStampKey PDFAnnotationStampKeyText;        // NSString
extern PDFAnnotationStampKey PDFAnnotationStampKeyShowDate;    // BOOL
extern PDFAnnotationStampKey PDFAnnotationStampKeyShowTime;    // BOOL
extern PDFAnnotationStampKey PDFAnnotationStampKeyStyle;       // NSIntger
extern PDFAnnotationStampKey PDFAnnotationStampKeyShape;       // NSIntger

@interface PDFStampViewController : UIViewController

@property (nonatomic,copy) void (^callback) (NSInteger selectedIndex, NSDictionary *stamp);

- (void)showViewController:(UIViewController *)viewController inRect:(CGRect)rect;

@end
