//
//  StampPreview.h
//  PDFReader
//
//  Copyright © 2014-2022 PDF Technologies, Inc. All Rights Reserved.
//
//  The PDF Reader Sample applications are licensed with a modified BSD license.
//  Please see License for details. This notice may not be removed from this file.
//

#import <UIKit/UIKit.h>

typedef enum
{
    TextStampColorType_Black = 660,
    TextStampColorType_Red,
    TextStampColorType_Green,
    TextStampColorType_Blue,
    TextStampColorType_RedLeft,
    TextStampColorType_GreenLeft,
    TextStampColorType_BlueLeft,
    TextStampColorType_RedRight,
    TextStampColorType_GreenRight,
    TextStampColorType_BlueRight
}TextStampColorType;


@interface StampPreview : UIView {
    NSInteger       _textStampStyle;
    BOOL            _textStampHaveDate;
    BOOL            _textStampHaveTime;
    
    double          color[3];
    CGRect          _stampBounds;
    float           _scale;
}

@property(nonatomic,copy) NSString *textStampText;
@property(nonatomic,copy) NSString *dateTime;
@property(nonatomic,assign) NSInteger textStampStyle;
@property(nonatomic,assign) BOOL textStampHaveDate;
@property(nonatomic,assign) BOOL textStampHaveTime;
@property(nonatomic,assign) CGFloat leftMargin;

- (UIImage *)renderImage;

@end
