//
//  CPDFAddViewController.h
//  PDFViewer
//
//  Created by kdanmobile_2 on 2022/12/15.
//  Alter cause : code standards

#import <UIKit/UIKit.h>
#import <ComPDFKit/ComPDFKit.h>
#import "PDFTextWatermarkController.h"
#import "PDFImageWatermarkController.h"
#import "PDFWatermarkDataModel.h"

NS_ASSUME_NONNULL_BEGIN

@protocol WaterMarkModelDataDelegate <NSObject>

- (void)PDFViewPerformChangeTextWatermark:(PDFWatermarkDataModel *)dataModel;
- (void)PDFViewPerformDeleteWatermark:(CPDFWatermark *)waterMark;
- (void)PDFViewPerformChangeImageWatermark:(PDFWatermarkDataModel *)dataModel;

@end

@interface PDFAddWaterMarkViewController : UIViewController

@property (retain, nonatomic) IBOutlet UIView *imageViewController;
@property (nonatomic,strong) id<WaterMarkModelDataDelegate> delegate;
@property (retain, nonatomic) IBOutlet UIView *textViewController;

//@property (nonatomic,strong) PDFTextWatermarkController *textViewController;
//@property (nonatomic,strong) PDFImageWatermarkController *imageViewController;

@property (nonatomic,strong) PDFWatermarkDataModel *textDataModel;
@property (nonatomic,strong) PDFWatermarkDataModel *imagedataModel;

- (instancetype)initWithDocument:(CPDFDocument *)document;

@end

NS_ASSUME_NONNULL_END
